Package ru.bitel.bgbilling.plugins.message4user.server.bean

# Class MessageForUsersManager

java.lang.Object
ru.bitel.bgbilling.plugins.message4user.server.bean.MessageForUsersManager

public class MessageForUsersManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageForUsersManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteMessage(int messageId)`
  Удаляет сообщение
  `int`
  `getLastMessageId(int userId)`
  Возвращает номер последнего прочитанного сообщения пользователем из конфигурации пользователя
  `List<Message>`
  `getMessageList()`
  Возвращает список сообщений
  `List<Message>`
  `getMessageList(int lastMessageId, int userId)`
  Возвращает список сообщений, начиная от последнего не прочитанного пользователем
  `List<Message>`
  `getMessageList(int lastMessageId, String userId)`
  Deprecated.
  `void`
  `updateMessage(Message message)`
  Обновляет/добавляет сообщение
  `void`
  `updateUserConfig(int lastMessageId, int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageForUsersManager

    public MessageForUsersManager(Connection con)

- ## Method Details

  - ### getMessageList

    public List<Message> getMessageList() throws ru.bitel.bgbilling.common.BGException
    Возвращает список сообщений
    Returns:
      пустой список, если нет сообщений
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMessageList

    public List<Message> getMessageList(int lastMessageId, int userId) throws ru.bitel.bgbilling.common.BGException
    Возвращает список сообщений, начиная от последнего не прочитанного пользователем
    Returns:
      пустой список, если нет сообщений
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMessageList

    @Deprecated public List<Message> getMessageList(int lastMessageId, String userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Возвращает список сообщений, начиная от последнего не прочитанного пользователем
    Returns:
      пустой список, если нет сообщений
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateMessage

    public void updateMessage(Message message) throws ru.bitel.bgbilling.common.BGException
    Обновляет/добавляет сообщение
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLastMessageId

    public int getLastMessageId(int userId) throws Exception
    Возвращает номер последнего прочитанного сообщения пользователем из конфигурации пользователя
    Parameters:
      `userId` -
    Returns:
      вернет -1, если не найдет параметр
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### deleteMessage

    public void deleteMessage(int messageId) throws ru.bitel.bgbilling.common.BGException
    Удаляет сообщение
    Parameters:
      `messageId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateUserConfig

    public void updateUserConfig(int lastMessageId, int userId) throws Exception
    Throws:
      `Exception`